/** 主入口js */
import {createApp} from 'vue';
import App from './App.vue';
import store from './store';
import router from './router';
import axios from 'axios';
import VueAxios from 'vue-axios';
import './config/axios-config';
import permission from './utils/permission';
import './styles/index.less';
import EleAdminPro from './components/ele-admin-pro/packages';
import ModalUtil from './components/ele-admin-pro/packages/modal-util';
import i18n from './lang';
import diyDirective from './directive';

const app = createApp(App);
app.config.productionTip = false;
app.use(store);
app.use(router);
app.use(VueAxios, axios);
app.use(permission);
app.use(EleAdminPro);
app.use(ModalUtil);
app.use(i18n);
app.use(diyDirective)
app.mount('#app');
